io.undertow

## Class Undertow.ListenerInfo

- java.lang.Object
- - io.undertow.Undertow.ListenerInfo

Enclosing class:
  Undertow

    public static class Undertow.ListenerInfo
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ListenerInfo(String protcol, SocketAddress address, OpenListener openListener, UndertowXnioSsl ssl, org.xnio.channels.AcceptingChannel<? extends org.xnio.StreamConnection> channel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SocketAddress` `getAddress()`
`ConnectorStatistics` `getConnectorStatistics()`
`String` `getProtcol()`
`SSLContext` `getSslContext()`
`boolean` `isSuspended()`
`void` `resume()`
`void` `setServerOptions(org.xnio.OptionMap options)`
`<T> void` `setSocketOption(org.xnio.Option<T> option, T value)`
`void` `setSslContext(SSLContext sslContext)`
`void` `suspend()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListenerInfo

    public ListenerInfo(String protcol,
                        SocketAddress address,
                        OpenListener openListener,
                        UndertowXnioSsl ssl,
                        org.xnio.channels.AcceptingChannel<? extends org.xnio.StreamConnection> channel)

### Method Detail

#### getProtcol

    public String getProtcol()

#### getAddress

    public SocketAddress getAddress()

#### getSslContext

    public SSLContext getSslContext()

#### setSslContext

    public void setSslContext(SSLContext sslContext)

#### suspend

    public void suspend()

#### resume

    public void resume()

#### isSuspended

    public boolean isSuspended()

#### getConnectorStatistics

    public ConnectorStatistics getConnectorStatistics()

#### setSocketOption

    public <T> void setSocketOption(org.xnio.Option<T> option,
                                    T value)
                             throws IOException

Throws:
  `IOException`

#### setServerOptions

    public void setServerOptions(org.xnio.OptionMap options)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`